# PDBget
  
CLI program to download files from rcsb.org

## Installation

### From sources
```bash
git clone https://gitlab.com/philippe_noel/pdbget.git
cd pdbget
cargo install --path
pdbget --help
```

## Usage
```bash
Get Protein files 0.1.0
Philippe Noel
Download Protein files on rcsb.org

USAGE:
    pdbget [OPTIONS] <PDBs>...

FLAGS:
    -h, --help       Prints help information
    -V, --version    Prints version information

OPTIONS:
    -o <Output>         Output folder where to store files [default: ./]
    -t <UriType>        File type to download. 'PDB', 'CIF', 'FASTA' [default: PDB]

ARGS:
    <PDBs>...    PDB identifiers
```
with the -t option, you can specify the output file format. Possible format are:
- 'pdb' : [PDB format](http://pdb101.rcsb.org/learn/guide-to-understanding-pdb-data/introduction)
- 'pdbgz' : GZ compression of a PDB file
- 'cif' : [CIF format](https://www.iucr.org/resources/cif)
- 'cifgz' : GZ compression of a CIF file
- 'fasta' : FASTA sequence(s) of the protein
- 'xml' : GZ compression of an XML file (uncompress XML are not provide on rcsb.org)